Update waybill tracking information
Scope: inventory:shipments.write https://api.alladdin.com/api/v2/waybills/{waybillId}/tracking
Updates the shipment tracking information for a waybill.
You can set the carrier name, tracking number, pickup date, expected delivery date, and internal notes. This information is included when you send the waybill by email.
Parameters
Path parameters
waybillId string required
Waybill ID (24-char hex ObjectId)
Request body
object tracking_key string | null
Carrier identifier key
tracking_name string | null
Name of the shipping carrier
tracking_number string | null
Shipment tracking number
pickup_date string<date> | null
Scheduled pickup date in ISO 8601 format
delivery_date string<date> | null
Scheduled delivery date in ISO 8601 format
internal_notes string | null
Internal notes about the shipment
Request
import requests
url = "https://api.alladdin.com/api/v2/waybills/{waybillId}/tracking"
headers = {
"Authorization": "Bearer YOUR_API_KEY",
"Accept": "application/json",
}
payload = {
"tracking_key": "string",
"tracking_name": "string",
"tracking_number": "string",
"pickup_date": "2024-01-15",
"delivery_date": "2024-01-15",
"internal_notes": "string"
}
response = requests.put(url, headers=headers, json=payload)
print(response.json())Responses
Success responses
200 Tracking information updated
Error responses
400 Bad request application/json 401 Invalid or missing API key application/json 403 Insufficient permissions application/json 404 Waybill not found application/json 429 Rate limit exceeded application/json
